.. _syntax-extns:

Syntax
======

.. toctree::
    :maxdepth: 1

    unicode_syntax
    magic_hash
    recursive_do
    applicative_do
    qualified_do
    parallel_list_comprehensions
    generalised_list_comprehensions
    monad_comprehensions
    overloaded_lists
    rebindable_syntax
    tuple_sections
    lambda_case
    empty_case
    multiway_if
    local_fixity_decls
    block_arguments
    typed_holes
    arrows
    lexical_negation
